#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:oldtower/on_area_load
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Area title
title @a title {"text":"Old Magical Tower","color":"red"}
title @a subtitle {"text":"Once upon a time...","italic":true}
title @a times 40 40 40

#Set zone level and update kill exp
scoreboard players set !CurrentZone ZoneLevel 3
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/update_zone_level_comparison

#Area music
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:music/sorcery_temple

#Area Info
tellraw @a {"text":"","extra":[{"text":"Now entering "},{"text":"Old Magical Tower","bold":true,"color":"aqua"},{"text":"\nArea Level: ","color":"green","bold":true},{"text":"3"},{"text":"\nArea difficulty: ","color":"green","bold":true},{"text":"Easy"}]}
#List area treasures
setblock 32 35 38 minecraft:redstone_block
setblock 32 35 38 minecraft:lapis_block





#####AREA SPECIFIC STUFF#####
#Place paintings
execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon minecraft:painting ~64 ~37 ~24 {Motive:"Void",Facing:0b}
execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon minecraft:painting ~74 ~29 ~50 {Motive:"Void",Facing:3b}
execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon minecraft:painting ~76 ~14 ~39 {Motive:"Wanderer",Facing:2b}
execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon minecraft:painting ~75 ~22 ~56 {Motive:"Pigscene",Facing:2b}
execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon minecraft:painting ~72 ~84 ~54 {Motive:"Skeleton",Facing:1b}
execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon minecraft:painting ~63 ~84 ~55 {Motive:"DonkeyKong",Facing:3b}
execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon minecraft:painting ~61 ~83 ~25 {Motive:"Stage",Facing:2b}

#Remove cannons if already used before
testforblock 111 3 -44 minecraft:redstone_block
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~63 ~36 ~31 ~65 ~38 ~31 minecraft:air 0 replace minecraft:white_glazed_terracotta
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=Cannon1]
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=CannonItem1]
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=OldTower_Mahagony]
scoreboard players tag @s remove Temp
testforblock 110 3 -44 minecraft:redstone_block
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~70 ~53 ~58 ~72 ~55 ~58 minecraft:air 0 replace minecraft:white_glazed_terracotta
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=Cannon2]
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=CannonItem2]
scoreboard players tag @s remove Temp
testforblock 109 3 -44 minecraft:redstone_block
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~70 ~82 ~52 ~72 ~86 ~52 minecraft:air 0 replace minecraft:white_glazed_terracotta
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=Cannon3]
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=CannonItem3]
scoreboard players tag @s remove Temp

#Cauldron teleports
testforblock 108 3 -44 redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:oldtower/cauldron1_activate
testforblock 107 3 -44 redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:oldtower/cauldron2_activate

#Main gate
testforblock 106 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~60 ~17 ~33 ~60 ~19 ~30 air

#Load airship
testforblock 105 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ setblock ~32 ~96 ~ structure_block 0 replace {mode:LOAD,name:mithey_dungeon_oldtower_ship_z1} 
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ setblock ~32 ~97 ~ redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ setblock ~32 ~96 ~32 structure_block 0 replace {mode:LOAD,name:mithey_dungeon_oldtower_ship_z2} 
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ setblock ~32 ~97 ~32 redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 4 46 minecraft:redstone_block

#Turn on airship scene detection if didn't watch
testforblock 105 3 -44 minecraft:lapis_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 8 34 minecraft:redstone_block




#####ITEMS ON GROUND#####
#Delete items already obtained
#Item 1
testforblock 64 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem1]

#Item 2
#testforblock 65 3 -44 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem2]

#Apples
testforblock 66 3 -44 minecraft:lapis_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ function chunk_restore:oldtower/spawn_apples

#Item 4
#testforblock 67 3 -44 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem4]

#Item 5
#testforblock 68 3 -44 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem5]

#Item 6
#testforblock 69 3 -44 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem6]





#####CHESTS#####
#Delete chests already obtained
#Chest 1
testforblock 74 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest1] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest1]

#Chest 2
testforblock 75 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest2] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest2]

#Chest 3
testforblock 76 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest3] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest3]

#Chest 4
testforblock 77 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest4] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest4]

#Chest 5
testforblock 78 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest5] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest5]

#Chest 6
testforblock 79 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest6] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest6]

#Chest 7
testforblock 80 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest7] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest7]

#Chest 8
testforblock 81 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest8] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest8]

#Chest 9
testforblock 82 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest9] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest9]

#Chest 10
testforblock 83 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest10] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest10]

#Chest 11
testforblock 70 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest11] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest11]

#Chest 12
testforblock 71 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest12] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest12]

#Chest 13
testforblock 72 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest13] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest13]

#Chest 14
testforblock 73 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest14] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest14]





#####TELEPORT PLAYER AND SET SPAWN#####
scoreboard objectives add Temp dummy
scoreboard players set TerraRestore Temp 0
#From airship event
scoreboard players test TerraRestore AreaID 6 6
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ teleport @a ~64 ~111 ~33 -90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon area_effect_cloud ~64 ~111 ~33 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
	execute @s[tag=Temp] ~ ~ ~ scoreboard players set TerraRestore Temp 1
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=oldtower_rat] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=oldtower_skeleton_bow_stationary] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=oldtower_skeleton_punch_bow_stationary] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=oldtower_skeleton_melee] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=oldtower_zombie] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=oldtower_zombie_brute] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=oldtower_creeper] ~ ~-500 ~
scoreboard players tag @s remove Temp
#Default/From Road1
scoreboard players test TerraRestore Temp 0 0
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ teleport @a ~4 ~4 ~31 -90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon area_effect_cloud ~4 ~4 ~31 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
scoreboard players tag @s remove Temp
scoreboard objectives remove Temp
scoreboard players set TerraRestore AreaID 5





#Other normal on area load stuff
execute @s ~ ~ ~ function chunk_restore:system/on_area_load





#####ACTIVATE AREA CLOCKS#####
#Main area clock
setblock 32 4 34 minecraft:redstone_block
#Coco message
setblock 32 4 44 minecraft:redstone_block
#1 second clock
setblock 32 6 34 minecraft:redstone_block
setblock 32 6 34 minecraft:lapis_block