#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:overworld/on_area_load
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Area title
title @a title {"text":"Nira (Overworld)","color":"blue"}
title @a subtitle {"text":"Great adventures await you...","italic":true}
title @a times 40 40 40

#Set zone level and update kill exp
scoreboard players set !CurrentZone ZoneLevel -9999
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/update_zone_level_comparison

#Area music
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:music/flight





#####AREA SPECIFIC STUFF#####






#####TELEPORT PLAYER AND SET SPAWN#####
scoreboard objectives add Temp dummy
scoreboard players set TerraRestore Temp 0
#FROM OLD TOWER RUINS
scoreboard players test TerraRestore AreaID 8 8
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=TeleportOldTowerRuins] ~ ~ ~ teleport @a ~ ~1 ~ -90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=TeleportOldTowerRuins] ~ ~ ~ summon area_effect_cloud ~ ~1 ~ {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
	execute @s[tag=Temp] ~ ~ ~ scoreboard players set TerraRestore Temp 1
scoreboard players tag @s remove Temp
#Default/Aquaess
scoreboard players test TerraRestore Temp 0 0
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=TeleportAquaess] ~ ~ ~ teleport @a ~ ~1 ~ -90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=TeleportAquaess] ~ ~ ~ summon area_effect_cloud ~ ~1 ~ {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
scoreboard players tag @s remove Temp
scoreboard objectives remove Temp
scoreboard players set TerraRestore AreaID 7





#Other normal on area load stuff
execute @s ~ ~ ~ function chunk_restore:system/on_area_load





#####ACTIVATE AREA CLOCKS#####
#Activate main area clock
setblock 32 4 34 minecraft:redstone_block
#Activate main 1 second clock
setblock 32 6 34 minecraft:redstone_block
setblock 32 6 34 minecraft:lapis_block
#Cloud movement/particles clock
setblock 32 4 38 minecraft:redstone_block

#Activate overworld intro scene if didn't watch it before
testforblock 111 3 -43 minecraft:lapis_block
	#Activate scene
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 4 48 minecraft:redstone_block
	#Disable level select
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 4 34 minecraft:lapis_block