#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:road1/on_area_load
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Area title
title @a title {"text":"Road to Old Tower","color":"red"}
title @a subtitle {"text":"","italic":true}
title @a times 40 40 40

#Area music
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:music/through_the_woods_we_ran

#Set zone level and update kill exp
scoreboard players set !CurrentZone ZoneLevel 1
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/update_zone_level_comparison





#####AREA SPECIFIC STUFF#####
#Set fire to campfire
entitydata @e[tag=Road1Fire] {Fire:30000s}

#Add quest icon above Fred
execute @e[tag=Road1Fred] ~ ~ ~ summon minecraft:armor_stand ~ ~2.45 ~ {Invisible:1,Invulnerable:1,Marker:1,NoGravity:1,Passengers:[{id:"item",Item:{id:"minecraft:diamond_hoe",Count:1b,Damage:1544s},Tags:["Quest1"],Invulnerable:1,Age:-32768,PickupDelay:32767}]}

#If player already obtained Fred quest; get rid of quest icon
testforblock 111 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=Quest1]

#If player already completed Fred quest; clean up
testforblock 110 3 -45 minecraft:redstone_block
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=Quest1] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=Road1Fred] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=Road1PeskyBat] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=Door1] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~59 ~16 ~46 ~59 ~22 ~50 minecraft:air default replace minecraft:barrier
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~50 ~15 ~47 ~50 ~21 ~49 minecraft:air
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~51 ~14 ~47 ~57 ~14 ~47 minecraft:stone variant=smooth_andesite
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~51 ~14 ~48 ~57 ~14 ~48 minecraft:cobblestone
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ fill ~51 ~14 ~49 ~57 ~14 ~49 minecraft:stone variant=smooth_andesite
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ setblock ~46 ~15 ~43 minecraft:redstone_torch
	execute @s[tag=Temp] ~ ~ ~ tp @e[tag=Road1BridgeKey] ~ ~-500 ~
	execute @s[tag=Temp] ~ ~ ~ fill 33 12 38 42 12 38 minecraft:air
scoreboard players tag @s remove Temp





#####ITEMS ON GROUND#####
#Delete items already obtained
#Branch 1
testforblock 64 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem1]

#Branch 2
testforblock 65 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem2]

#Apples
testforblock 66 3 -45 minecraft:lapis_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ function chunk_restore:road1/spawn_apples
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 4 40 minecraft:redstone_block

#Spruce hoe
testforblock 67 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem4]

#Armor stand 1
testforblock 68 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ entitydata @e[tag=AreaItem5] {ArmorItems:[{},{},{},{}]}

#Armor stand 2
testforblock 69 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ entitydata @e[tag=AreaItem6] {ArmorItems:[{},{},{},{}]}

#Armor stand 3
testforblock 70 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ entitydata @e[tag=AreaItem7] {ArmorItems:[{},{},{},{}]}

#Armor stand 4
testforblock 71 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ entitydata @e[tag=AreaItem8] {ArmorItems:[{},{},{},{}]}

#Armor stand 5
testforblock 72 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ entitydata @e[tag=AreaItem9] {ArmorItems:[{},{},{},{}]}

#Item 10
#testforblock 73 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem10]





#####CHESTS#####
#Delete chests already obtained
#Chest 1 - fish chest in river
testforblock 74 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest1] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest1]

#Chest 2 - In underground puzzle ruins area; main chest
testforblock 75 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest2] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest2]

#Chest 3 - On top side of river
testforblock 76 3 -45 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest3] ~ ~ ~ setblock ~ ~ ~ minecraft:air
	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest3]

#Chest 4
#testforblock 77 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest4] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest4]

#Chest 5
#testforblock 78 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest5] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest5]

#Chest 6
#testforblock 79 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest6] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest6]

#Chest 7
#testforblock 80 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest7] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest7]

#Chest 8
#testforblock 81 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest8] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest8]

#Chest 9
#testforblock 82 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest9] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest9]

#Chest 10
#testforblock 83 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest10] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest10]





#####TELEPORT PLAYER AND SET SPAWN#####
scoreboard objectives add Temp dummy
scoreboard players set TerraRestore Temp 0
#From tower
scoreboard players test TerraRestore AreaID 5 5
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ teleport @a ~122 ~44 ~54 90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon area_effect_cloud ~122 ~44 ~54 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
	execute @s[tag=Temp] ~ ~ ~ scoreboard players set TerraRestore Temp 1
scoreboard players tag @s remove Temp
#From old tower ruins
scoreboard players test TerraRestore AreaID 8 8
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ teleport @a ~122 ~44 ~54 90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon area_effect_cloud ~122 ~44 ~54 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
	execute @s[tag=Temp] ~ ~ ~ scoreboard players set TerraRestore Temp 1
scoreboard players tag @s remove Temp
#Default/From player base
scoreboard players test TerraRestore Temp 0 0
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ teleport @a ~3 ~15 ~48 -90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon area_effect_cloud ~3 ~15 ~48 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
scoreboard players tag @s remove Temp
scoreboard objectives remove Temp
scoreboard players set TerraRestore AreaID 4





#Other normal on area load stuff
execute @s ~ ~ ~ function chunk_restore:system/on_area_load





#####ACTIVATE AREA CLOCKS#####
#Activate main area clock
setblock 32 4 34 minecraft:redstone_block

#Activate clock to see if player has bridge key to activate Fred dialogue
setblock 32 16 38 minecraft:redstone_block

#Activate clock to see if player hits pig
setblock 32 4 42 minecraft:redstone_block

#Activate clock for magical toilet
setblock 32 4 44 minecraft:redstone_block

#Level status effects clock
setblock 32 6 34 minecraft:redstone_block
setblock 32 6 34 minecraft:lapis_block