#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/handle_player_logging_in
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Location = 0 - Map didn't start yet
#Do nothing
#Location = 1 - Move to main world
scoreboard players test TerraRestore Location 1 1
	execute @s[score_FuncCond_min=1] ~ ~ ~ tp @a[tag=PlayerJustLoggedIn] 1135 251 1135
#Location = 2 - Move to player base
scoreboard players test TerraRestore Location 2 2
	execute @s[score_FuncCond_min=1] ~ ~ ~ tp @a[tag=PlayerJustLoggedIn] 8 250.5 599

#If not currently in boss fight/event, get out of spectator mode
scoreboard players test TerraRestore InBossFight 0 0
	execute @s[score_FuncCond_min=1] ~ ~ ~ gamemode adventure @a[tag=PlayerJustLoggedIn,m=spectator]

#Login message
tellraw @a[tag=PlayerJustLoggedIn] {"text":"","extra":[{"text":"Welcome to ","bold":true,"color":"white"},{"text":"Chunk Restore","bold":true,"color":"blue"},{"text":", the ever expanding and updating epic Minecraft RPG!"},{"text":" -Mithey ^^","color":"blue","bold":true},{"text":"\n"},{"text":"You're currently on v0.1.1 alpha for MC version 1.12.1","bold":true,"color":"gray"}]}
tellraw @a[tag=PlayerJustLoggedIn,name=blueloving] {"text":"Hey you, special person, yes you! You best enjoy the map! ^^"}

#Start music up again for player
scoreboard players set @a[tag=PlayerJustLoggedIn] Music 9999

#Sound effect for logging in
execute @a ~ ~ ~ playsound minecraft:entity.player.levelup player @p ~ ~ ~ 2 0.5

#Ensure new players get on Friendly team
scoreboard teams join Friendly @a

#Attempt to remove area bound items
function chunk_restore:system/clear_area_bound_items

#Teleport and set spawnpoint of player to already chosen location
execute @e[score_Spawnpoint_min=1,c=1] ~ ~ ~ teleport @a[tag=PlayerJustLoggedIn] ~ ~ ~
execute @e[score_Spawnpoint_min=1,c=1] ~ ~ ~ spawnpoint @a[tag=PlayerJustLoggedIn] ~ ~ ~
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players tag @a remove PlayerJustLoggedIn
scoreboard players test TerraRestore Location 0 0
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players tag @a remove PlayerJustLoggedIn

#Trigger failcase in 1 second to try again if failed
testfor @a[tag=PlayerJustLoggedIn]
	execute @s[score_FuncCond_min=1] ~ ~ ~ summon minecraft:area_effect_cloud 32 8 -15 {Age:-20,Tags:["Clock"]}