#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:mountfayrilprologue/on_area_load
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Area title
title @a title {"text":"Mount Fayril","color":"red"}
title @a subtitle {"text":"The climb of destiny","italic":true}
title @a times 40 40 40

#Area music
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:music/the_edge

#Set zone level and update kill exp
scoreboard players set !CurrentZone ZoneLevel 1
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/update_zone_level_comparison

#Assign teams and activate mobs (Note: Using old tags)
entitydata @e[tag=Door] {Team:Hostile}
entitydata @e[tag=Vuco] {Team:Hostile}
entitydata @e[tag=Monster] {Team:Hostile}
entitydata @e[tag=Monster] {NoAI:0}





#####AREA SPECIFIC STUFF#####
#Give players starter armor/food/weapons
replaceitem entity @a slot.armor.feet minecraft:leather_boots 1 0 {AttributeModifiers:[{Amount:4.5d,AttributeName:"generic.maxHealth",Name:"+4.5 max health",Operation:0,Slot:"feet",UUIDLeast:756460329l,UUIDMost:766290186l},{Amount:0.1d,AttributeName:"generic.movementSpeed",Name:"+10 movement speed",Operation:1,Slot:"feet",UUIDLeast:686793246l,UUIDMost:185497677l},{Amount:3.0d,AttributeName:"generic.armor",Name:"+3 armor",Operation:0,Slot:"feet",UUIDLeast:876860880l,UUIDMost:576858091l}],ChunkRestoreItem:"Cosmic",display:{Lore:["","§7§oYou feel energy flowing all around this","§f§lItem Level 40","§dEpic Item","","Area Bound"],Name:"§dCosmic Boots"},ench:[{id:0s,lvl:4s}],RepairCost:100,Unbreakable:1b}
replaceitem entity @a slot.armor.legs minecraft:leather_leggings 1 0 {AttributeModifiers:[{Amount:5.0d,AttributeName:"generic.maxHealth",Name:"+5.0 max health",Operation:0,Slot:"legs",UUIDLeast:315930025l,UUIDMost:579102256l},{Amount:0.1d,AttributeName:"generic.movementSpeed",Name:"+10 movement speed",Operation:1,Slot:"legs",UUIDLeast:656082235l,UUIDMost:56592667l},{Amount:6.0d,AttributeName:"generic.armor",Name:"+6 armor",Operation:0,Slot:"legs",UUIDLeast:403447405l,UUIDMost:631193148l}],ChunkRestoreItem:"Cosmic",display:{Lore:["","§7§oYou feel energy flowing all around this","§f§lItem Level 40","§dEpic Item","","Area Bound"],Name:"§dCosmic Leggings"},ench:[{id:0s,lvl:4s}],RepairCost:100,Unbreakable:1b}
replaceitem entity @a slot.armor.chest minecraft:leather_chestplate 1 0 {AttributeModifiers:[{Amount:5.0d,AttributeName:"generic.maxHealth",Name:"+5.0 max health",Operation:0,Slot:"chest",UUIDLeast:42642035l,UUIDMost:152643938l},{Amount:0.1d,AttributeName:"generic.movementSpeed",Name:"+10 movement speed",Operation:1,Slot:"chest",UUIDLeast:400835994l,UUIDMost:262585089l},{Amount:8.0d,AttributeName:"generic.armor",Name:"+8 armor",Operation:0,Slot:"chest",UUIDLeast:703153299l,UUIDMost:27896656l}],ChunkRestoreItem:"Cosmic",display:{Lore:["","§7§oYou feel energy flowing all around this","§f§lItem Level 40","§dEpic Item","","Area Bound"],Name:"§dCosmic Chestplate"},ench:[{id:0s,lvl:4s}],RepairCost:100,Unbreakable:1b}
replaceitem entity @a slot.armor.head minecraft:leather_helmet 1 0 {AttributeModifiers:[{Amount:5.0d,AttributeName:"generic.maxHealth",Name:"+5.0 max health",Operation:0,Slot:"head",UUIDLeast:984378871l,UUIDMost:242380479l},{Amount:0.1d,AttributeName:"generic.movementSpeed",Name:"+10 movement speed",Operation:1,Slot:"head",UUIDLeast:981209954l,UUIDMost:639579328l},{Amount:3.0d,AttributeName:"generic.armor",Name:"+3 armor",Operation:0,Slot:"head",UUIDLeast:578779916l,UUIDMost:175715885l}],ChunkRestoreItem:"Cosmic",display:{Lore:["","§7§oYou feel energy flowing all around this","§f§lItem Level 40","§dEpic Item","","Area Bound"],Name:"§dCosmic Helmet"},ench:[{id:0s,lvl:4s}],RepairCost:100,Unbreakable:1b}
give @a minecraft:diamond_sword 1 1561 {AttributeModifiers:[{Amount:25.0d,AttributeName:"generic.attackDamage",Name:"+25 attack damage",Operation:0,Slot:"mainhand",UUIDLeast:844500346l,UUIDMost:650327332l},{Amount:1024.0d,AttributeName:"generic.attackSpeed",Name:"+1024 attack speed",Operation:0,Slot:"mainhand",UUIDLeast:880295495l,UUIDMost:849746527l}],display:{Lore:["","§7§oYou feel energy flowing all around this","§f§lItem Level 40","§dEpic Item","","§9Multiple Target Attack","§9No Swing Speed","","Area Bound"],Name:"§dCosmic Scimitar"},RepairCost:100,Unbreakable:1b}
give @a[name=blueloving] minecraft:diamond_hoe 1 1531 {AttributeModifiers:[{Amount:25.0d,AttributeName:"generic.attackDamage",Name:"+25 attack damage",Operation:0,Slot:"mainhand",UUIDLeast:8445346l,UUIDMost:6503332l},{Amount:1024.0d,AttributeName:"generic.attackSpeed",Name:"+1024 attack speed",Operation:0,Slot:"mainhand",UUIDLeast:8802495l,UUIDMost:84976527l}],display:{Lore:["","§7§oFor Blueloving only~!","§7§oDon't worry, you can't","§7§oaccidently place it ;)","§f§lItem Level 40","§e§lLegendary Item","","§9Multiple Target Attack","§9No Swing Speed","","Area Bound"],Name:"§e§lBlue's Blue Water Bucket"},RepairCost:100,Unbreakable:1b}
give @a minecraft:diamond_hoe 1 1549 {AttributeModifiers:[{Amount:75.0d,AttributeName:"generic.attackDamage",Name:"+75 attack damage",Operation:0,Slot:"mainhand",UUIDLeast:519231672l,UUIDMost:40471948l},{Amount:-2.75d,AttributeName:"generic.attackSpeed",Name:"-2.75 attack speed",Operation:0,Slot:"mainhand",UUIDLeast:757922225l,UUIDMost:226812398l}],display:{Lore:["","§7§oYou feel energy flowing all around this","§f§lItem Level 40","§dEpic Item","","§cSingle Target Attack","§90.80 Second Base Swing Speed","§9Armor Piercing","","Area Bound"],Name:"§dCosmic Sword-Axe"},RepairCost:100,Unbreakable:1b}
give @a minecraft:cooked_beef 64 0 {ChunkRestoreItem:"rainbow_fudge",display:{Lore:["","§dEpic Item","","§9Restores 8 Food Points","§9Restores 12.8 Saturation Points","","Area Bound"],Name:"§dRainbow Fudge"}}
scoreboard players tag @a add ReceivedItems

#Restore health/hunger for everyone
effect @a minecraft:instant_health 1 6 true
effect @a minecraft:saturation 1 13 true





#####ITEMS ON GROUND#####
#Delete items already obtained
#Item 1
#testforblock 64 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem1]

#Item 2
#testforblock 65 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem2]

#Item 3
#testforblock 66 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem3]

#Item 4
#testforblock 67 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem4]

#Item 5
#testforblock 68 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem5]

#Item 6
#testforblock 69 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem6]

#Item 7
#testforblock 70 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem7]

#Item 8
#testforblock 71 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem8]

#Item 9
#testforblock 72 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem9]

#Item 10
#testforblock 73 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem10]





#####CHESTS#####
#Delete chests already obtained
#Chest 1
#testforblock 74 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest1] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest1]

#Chest 2
#testforblock 75 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest2] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest2]

#Chest 3
#testforblock 76 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest3] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest3]

#Chest 4
#testforblock 77 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest4] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest4]

#Chest 5
#testforblock 78 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest5] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest5]

#Chest 6
#testforblock 79 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest6] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest6]

#Chest 7
#testforblock 80 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest7] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest7]

#Chest 8
#testforblock 81 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest8] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest8]

#Chest 9
#testforblock 82 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest9] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest9]

#Chest 10
#testforblock 83 3 -45 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest10] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest10]





#####TELEPORT PLAYER AND SET SPAWN#####
scoreboard objectives add Temp dummy
scoreboard players set TerraRestore Temp 0
#Default/from prologue intro
scoreboard players test TerraRestore Temp 0 0
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ teleport @a ~8 ~3 ~15 -90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=LoadedAreaCorner] ~ ~ ~ summon area_effect_cloud ~8 ~3 ~15 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
scoreboard players tag @s remove Temp
scoreboard objectives remove Temp
scoreboard players set TerraRestore AreaID 2





#Other normal on area load stuff
execute @s ~ ~ ~ function chunk_restore:system/on_area_load





#####ACTIVATE AREA CLOCKS#####
#Start boss scene
setblock 32 4 45 minecraft:redstone_block

#Check if player logged in and didn't recieve items
setblock 32 4 50 minecraft:redstone_block

#Check if that door has been opened
setblock 32 4 52 minecraft:redstone_block

#Wither ambush
setblock 32 4 41 minecraft:redstone_block

#Ghast ambush
setblock 32 4 43 minecraft:redstone_block

#Activate area intro dialogue
summon minecraft:area_effect_cloud 32 4 39 {Age:-160,Tags:["LoadedEntity","Clock"]}