#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:playerbase/on_area_load
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Set zone level and update kill exp
scoreboard players set !CurrentZone ZoneLevel -999
execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/update_zone_level_comparison





#####AREA SPECIFIC STUFF#####
#Spawn apples if ready
testforblock 110 3 -46 minecraft:lapis_block
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ setblock 110 3 -46 minecraft:wool color=white
	execute @s[tag=Temp] ~ ~ ~ function chunk_restore:playerbase/spawn_apples
scoreboard players tag @s remove Temp

#Spawn cake around place for player to eat
setblock 20 19 602 minecraft:cake
setblock 25 19 614 minecraft:cake

#Update mailbox
kill @e[tag=Mailbox]
setblock 36 18 598 structure_block default replace {mode:"LOAD",name:"mithey_misc_mailbox"}
setblock 36 19 598 redstone_block
setblock 36 19 598 air

#If watched player base intro scene; do title and music
testforblock 111 3 -46 minecraft:redstone_block
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ title @a title {"text":"Aquauess","color":"blue"}
	execute @s[tag=Temp] ~ ~ ~ title @a subtitle {"text":"The sanctuary for all","italic":true}
	execute @s[tag=Temp] ~ ~ ~ title @a times 40 40 40
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:music/outpost
scoreboard players tag @s remove Temp

#If didn't watch player base intro scene; activate scene
testforblock 111 3 -46 minecraft:lapis_block
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ setblock 49 4 48 minecraft:redstone_block
	execute @s[tag=Temp] ~ ~ ~ tp @a 26 18 605 -90 30
	execute @s[tag=Temp] ~ ~ ~ fill 33 35 36 34 35 37 minecraft:air
scoreboard players tag @s remove Temp

#If beat airship event and didn't listen to returning to player base dialogue; activate it
testforblock 103 3 -44 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ testforblock 108 3 -46 minecraft:lapis_block
		execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 48 4 50 minecraft:redstone_block

#Update old tags
scoreboard players tag @e[tag=PlayerBaseVuco] add playerbase_Vuco
scoreboard players tag @e[tag=HostileTeam] add FriendlyTeam
scoreboard players tag @e remove HostileTeam





#####ITEMS ON GROUND#####
#Delete items already obtained
#Item 1
#testforblock 64 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem1]

#Item 2
#testforblock 65 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem2]

#Item 3
#testforblock 66 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem3]

#Item 4
#testforblock 67 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem4]

#Item 5
#testforblock 68 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem5]

#Item 6
#testforblock 69 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem6]

#Item 7
#testforblock 70 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem7]

#Item 8
#testforblock 71 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem8]

#Item 9
#testforblock 72 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem9]

#Item 10
#testforblock 73 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaItem10]





#####CHESTS#####
#Delete chests already obtained
#Chest 1
#testforblock 74 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest1] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest1]

#Chest 2
#testforblock 75 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest2] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest2]

#Chest 3
#testforblock 76 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest3] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest3]

#Chest 4
#testforblock 77 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest4] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest4]

#Chest 5
#testforblock 78 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest5] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest5]

#Chest 6
#testforblock 79 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest6] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest6]

#Chest 7
#testforblock 80 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest7] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest7]

#Chest 8
#testforblock 81 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest8] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest8]

#Chest 9
#testforblock 82 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest9] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest9]

#Chest 10
#testforblock 83 3 -46 minecraft:redstone_block
#	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=AreaChest10] ~ ~ ~ setblock ~ ~ ~ minecraft:air
#	execute @s[score_FuncCond_min=1] ~ ~ ~ kill @e[tag=AreaChest10]





#####TELEPORT PLAYER AND SET SPAWN#####
scoreboard objectives add Temp dummy
scoreboard players set TerraRestore Temp 0
#If came from Mount Fayril
scoreboard players test TerraRestore AreaID 2 2
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ tp @a 26 19 608 145 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ summon area_effect_cloud 26 19 608 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
	execute @s[tag=Temp] ~ ~ ~ scoreboard players set TerraRestore Temp 1
scoreboard players tag @s remove Temp
#If came from Road 1
scoreboard players test TerraRestore AreaID 4 4
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ tp @a -41 23 599 -90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ summon area_effect_cloud -41 23 599 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
	execute @s[tag=Temp] ~ ~ ~ scoreboard players set TerraRestore Temp 1
scoreboard players tag @s remove Temp
#Default
scoreboard players test TerraRestore Temp 0 0
scoreboard players tag @s[score_FuncCond_min=1] add Temp
	execute @s[tag=Temp] ~ ~ ~ tp @a 58 20 600 90 0
	execute @s[tag=Temp] ~ ~ ~ kill @e[tag=InitialSpawnpoint]
	execute @s[tag=Temp] ~ ~ ~ summon area_effect_cloud 58 20 600 {Duration:2000000000,Tags:["InitialSpawnpoint"]}
	execute @s[tag=Temp] ~ ~ ~ execute @e[tag=InitialSpawnpoint] ~ ~ ~ function chunk_restore:system/set_spawnpoint
scoreboard players tag @s remove Temp
scoreboard objectives remove Temp
scoreboard players set TerraRestore AreaID 3





#Other normal on area load stuff
execute @s ~ ~ ~ function chunk_restore:system/on_area_load





#####ACTIVATE AREA CLOCKS#####
#Fish
setblock 32 4 34 minecraft:redstone_block

#Talked to villager
setblock 32 4 36 minecraft:redstone_block