#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/handle_weather
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Area specific weather properties can override weather
#	!Perma storm areas
#	!Rain instead of storm areas
#	!Storm instead of rain areas
#	!No weather areas

#Set up weather probabilities based on season
scoreboard players test TerraRestore Season 1 1
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/handle_weather_spring_probability
scoreboard players test TerraRestore Season 2 2
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/handle_weather_summer_probability
scoreboard players test TerraRestore Season 3 3
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/handle_weather_fall_probability
scoreboard players test TerraRestore Season 4 4
	execute @s[score_FuncCond_min=1] ~ ~ ~ execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/handle_weather_winter_probability

#Roll for weather
scoreboard players tag @r[tag=system_WeatherChance,type=area_effect_cloud] add system_ChosenWeather

#Set weather
testfor @e[tag=system_WeatherClear] {Tags:["system_ChosenWeather"]}
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set TerraRestore Weather 0
	execute @s[score_FuncCond_min=1] ~ ~ ~ weather clear
testfor @e[tag=system_WeatherRain] {Tags:["system_ChosenWeather"]}
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set TerraRestore Weather 1
	execute @s[score_FuncCond_min=1] ~ ~ ~ weather rain
testfor @e[tag=system_WeatherThunder] {Tags:["system_ChosenWeather"]}
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set TerraRestore Weather 2
	execute @s[score_FuncCond_min=1] ~ ~ ~ weather thunder

execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/handle_weather_area_specific_state