#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/on_area_load
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Activate mobs and set teams
entitydata @e[tag=HostileTeam] {Team:Hostile}
entitydata @e[tag=FriendlyTeam] {Team:Friendly}
entitydata @e[tag=ActivateOnLoad] {NoAI:0}

#Get rid of extra player scaling mobs depending on amount of players
scoreboard players set TerraRestore AmountOfPlayers 0
execute @a ~ ~ ~ scoreboard players add TerraRestore AmountOfPlayers 1
scoreboard players test TerraRestore AmountOfPlayers 0 3
	execute @s[score_FuncCond_min=1] ~ ~ ~ tp @e[tag=4PlayerScaling] ~ ~-500 ~
scoreboard players test TerraRestore AmountOfPlayers 0 2
	execute @s[score_FuncCond_min=1] ~ ~ ~ tp @e[tag=3PlayerScaling] ~ ~-500 ~
scoreboard players test TerraRestore AmountOfPlayers 0 1
	execute @s[score_FuncCond_min=1] ~ ~ ~ tp @e[tag=2PlayerScaling] ~ ~-500 ~

#Activate night time or day time trigger
scoreboard players test TerraRestore Time 0 12999
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 36 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 36 minecraft:lapis_block
scoreboard players test TerraRestore Time 13000
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 37 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 37 minecraft:lapis_block

#Difficulty
testforblock 107 3 -48 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 32 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 32 minecraft:lapis_block
testforblock 106 3 -48 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 33 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 33 minecraft:lapis_block
testforblock 105 3 -48 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 34 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 34 minecraft:lapis_block
testforblock 104 3 -48 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 35 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 35 minecraft:lapis_block

#Graphics
testforblock 102 3 -48 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 39 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 39 minecraft:lapis_block
testforblock 101 3 -48 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 40 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 40 minecraft:lapis_block
testforblock 100 3 -48 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 41 minecraft:redstone_block
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 32 35 41 minecraft:lapis_block

#Update resistance/strength based on level
setblock 32 35 42 minecraft:redstone_block
setblock 32 35 42 minecraft:lapis_block