#/execute @e[tag=FunctionRunner,c=1] ~ ~ ~ function chunk_restore:system/setup_area_loading3
#Created by Mithey
stats entity @s set SuccessCount @s FuncCond

#Teleport player to safe place
tp @a 1135 251 1135

#Double check entities unloaded
tp @e[tag=!DontKill,type=!Player,x=1135,y=50,z=1135,r=500] ~ ~-500 ~
kill @e[tag=!DontKill,type=!Player,x=1135,y=-450,z=1135,r=500]
tp @e[tag=!DontKill,x=32,y=4,z=32,dx=31,dy=31,dz=31] ~ ~-500 ~
kill @e[tag=!DontKill,x=32,y=-500,z=32,r=50]
tp @e[type=Item,tag=!DontKill] ~ ~-500 ~

#Figure out current season and select it for area loading location
scoreboard objectives remove SelectedSeason
scoreboard objectives add SelectedSeason dummy
scoreboard players test TerraRestore Season 1 1
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=SpringSeasonLocation] SelectedSeason 1
scoreboard players test TerraRestore Season 2 2
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=SummerSeasonLocation] SelectedSeason 1
scoreboard players test TerraRestore Season 3 3
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=FallSeasonLocation] SelectedSeason 1
scoreboard players test TerraRestore Season 4
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=WinterSeasonLocation] SelectedSeason 1
scoreboard players test ForceSeason Season 1
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=SeasonLocation] SelectedSeason 0
scoreboard players test ForceSeason Season 1 1
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=SpringSeasonLocation] SelectedSeason 1
scoreboard players test ForceSeason Season 2 2
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=SummerSeasonLocation] SelectedSeason 1
scoreboard players test ForceSeason Season 3 3
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=FallSeasonLocation] SelectedSeason 1
scoreboard players test ForceSeason Season 4 4
	execute @s[score_FuncCond_min=1] ~ ~ ~ scoreboard players set @e[tag=WinterSeasonLocation] SelectedSeason 1

#Ensure loading has no problems; player has at least 8 render distance set, all season locations are accessible
scoreboard objectives add SnCloudsDetected dummy
scoreboard players set TerraRestore SnCloudsDetected 0
execute @e[tag=SeasonLocation] ~ ~ ~ summon area_effect_cloud ~127 ~ ~127 {Duration:1,Tags:["RenderDistanceChecker"]}
execute @e[tag=RenderDistanceChecker] ~ ~ ~ scoreboard players add TerraRestore SnCloudsDetected 1
execute @e[tag=SeasonLocation] ~ ~ ~ scoreboard players add TerraRestore SnCloudsDetected 1
#No problems detected - start area loading
scoreboard players test TerraRestore SnCloudsDetected 8
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 29 8 32 minecraft:redstone_block default destroy
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 29 8 32 minecraft:lapis_block default destroy
#Problem detected - activate try again in 4 seconds
scoreboard players test TerraRestore SnCloudsDetected 0 7
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 27 6 31 minecraft:redstone_block default destroy
	execute @s[score_FuncCond_min=1] ~ ~ ~ setblock 27 6 31 minecraft:lapis_block default destroy
scoreboard objectives remove SnCloudsDetected

scoreboard players set @p TalkedToVillager 0